Subject: Fwd: Amazon order 114-4046163-7682641 UPDATE
From: Angela Solomon <[email-masked]>
To: [email-masked]
Date: Wed, 22 Oct 2025 12:56:14 -0700

UPDATE:

Dear Sir,

My apologies: I found the second hand towel and the fourth washcloth in a dark corner of the washer. However, I still have that damaged wash cloth.

I would appreciate if you could replace that one.

Thank you,
Angela Solomon

Sent from my iPad

Begin forwarded message:

> From: Angela Solomon <[email-masked]>
> Date: October 22, 2025 at 12:36:25 PM PDT
> To: [email-masked]
> Subject: Amazon order 114-4046163-7682641
> 
> Dear Sir,
> I ordered a set of brown bath towels and they arrived yesterday.
> 
> I was to receive 2 bath towels, 2 hand towels and 4 washcloths.
> 
> I received 2 bath towels, 1 hand towel and 3 washcloths, one of which has a reddish stain on it.
> 
> I need the second hand towel a fourth wash cloth and ask that you replace the damaged wash cloth - so please, 2 new wash cloths.  
> 
> Because I’m doing this on my ipad, I will send a photo of the items by separate email.
> 
> Thank you,
> Angela Solomon
> 707-205-5185
> 1508 Mathias Place
> Rohnert Park, CA 94928
> 
> Sent from my iPad